Bug 200386 - devel/rubygem-ruby_parser: version update from 3.2.2 to 3.6.6 [patch]
Summary: devel/rubygem-ruby_parser: version update from 3.2.2 to 3.6.6 [patch]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks: 200387
  Show dependency treegraph
 
Reported: 2015-05-22 12:23 UTC by Horia Racoviceanu
Modified: 2015-06-16 00:02 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (voldern)


Attachments
rubygem-ruby_parser.diff (909 bytes, patch)
2015-05-22 12:23 UTC, Horia Racoviceanu
no flags Details | Diff
rubygem-ruby_parser.diff (1.02 KB, patch)
2015-05-26 23:54 UTC, Horia Racoviceanu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Horia Racoviceanu 2015-05-22 12:23:24 UTC
Created attachment 157038 [details]
rubygem-ruby_parser.diff

- Version update from 3.2.2 to 3.6.6
- Add NO_ARCH=yes

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.
Comment 1 Dmitry Marakasov freebsd_committer 2015-05-26 21:25:06 UTC
====> Running Q/A tests (stage-qa)
Error: '/usr/bin/ruby' is an invalid shebang you need USES=shebangfix for 'lib/ruby/gems/2.1/gems/ruby_parser-3.6.6/bin/ruby_parse_extract_error'
Error: '/usr/bin/ruby' is an invalid shebang you need USES=shebangfix for 'lib/ruby/gems/2.1/gems/ruby_parser-3.6.6/bin/ruby_parse'
Comment 2 Horia Racoviceanu 2015-05-26 23:54:29 UTC
Created attachment 157185 [details]
rubygem-ruby_parser.diff

- Version update from 3.2.2 to 3.6.6
- Add NO_ARCH=yes
- Add USES=shebangfix for bin/ruby_parse and bin/ruby_parse_extract_error

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.
Comment 3 Dmitry Marakasov freebsd_committer 2015-05-27 00:51:02 UTC
Looks good now. Awaiting maintainer's feedback.
Comment 4 commit-hook freebsd_committer 2015-06-16 00:02:52 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Jun 16 00:02:35 UTC 2015
New revision: 389769
URL: https://svnweb.freebsd.org/changeset/ports/389769

Log:
  - Update to 3.6.6
  - Add NO_ARCH
  - Fix shebangs

  PR:		200386
  Submitted by:	horia@racoviceanu.com
  Approved by:	maitainer timeout (voldern@hoeggen.net, 3 weeks)

Changes:
  head/devel/rubygem-ruby_parser/Makefile
  head/devel/rubygem-ruby_parser/distinfo